Skip to content
Start here

Download matches for logo queries by ID

brand_protection.logo_matches.download(LogoMatchDownloadParams**kwargs) -> LogoMatchDownloadResponse
GET/accounts/{account_id}/brand-protection/logo-matches/download

Return matches as CSV for logo queries based on ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
account_id: str
minLength1
limit: Optional[str]
logo_id: Optional[SequenceNotStr[str]]
offset: Optional[str]
ReturnsExpand Collapse
class LogoMatchDownloadResponse:
matches: Optional[List[Dict[str, object]]]
total: Optional[int]

Download matches for logo queries by ID

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.brand_protection.logo_matches.download(
    account_id="x",
)
print(response.matches)
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}
Returns Examples
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}